Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7695 - Network startup for multiple NICs fails when eth0 disabled
Summary: Network startup for multiple NICs fails when eth0 disabled
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-09 03:41 UTC by patrick
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-31 20:24:46 UTC


Attachments (Terms of Use)

Description patrick 1999-12-09 03:41:42 UTC
The network startup scripts for starting multiple ethernet devices fails on
any card above eth0 if eth0 is disabled.

sample ifcfg-eth0:

DEVICE=eth0
BOOTPROTO=static
IPADDR=192.168.1.1
NETMASK=255.255.255.0
ONBOOT=no

sample ifcfg-eth1

DEVICE=eth1
BOOTPROTO=static
IPADDR=192.168.1.1
NETMASK=255.255.255.0
ONBOOT=yes


The assumption I would have on how this works is by enabling eth1 and
setting it to the specified arguments (and leaving eth0 disabled).  The way
this currently works is that eth1 claims it's starting up at boot time,
however it's really eth0 (you have to move the cable to the other NIC --
pain in the ass).

The problem, I suspect, is in ifup or the init.d network script, however
I'm too lazy to look for it right now.

--
patrick@fezbox.com

Comment 1 Cristian Gafton 2000-01-27 08:26:59 UTC
assigned to initscripts

Comment 2 Bill Nottingham 2000-01-31 20:01:59 UTC
OK, the problem here is that since the module for whatever
network card is 'eth0' isn't actually loaded, eth0 isn't
assigned by the kernel, and therefore when the module for
eth1 gets loaded, it actually gets assigned eth0.

Comment 3 Bill Nottingham 2000-01-31 20:24:59 UTC
Should be fixed in initscripts-4.85-1.


Note You need to log in before you can comment on or make changes to this bug.